Doomsday Engine - Bug #1725

Heretic ghost mummies' floating spirits not disappearing after death
2014-02-06 04:27 - BFG10K

Status: Closed Start date: 2014-02-06
Priority: High % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 1.14.1

Description

As per the title, this only seems to affect the ghost (transparent) mummies; the solid ones are okay.

The rising spirits persist after reloading the save file, and even after closing down the program completely.

I'm using Doomsday 1.13.2 with just the content pack from the front page.

I've attached a screenshot of the issue.

Associated revisions

Revision f9fd7271 - 2014-04-21 21:09 - skyjake
Fixed|Models|Renderer: df_brightshadow?2 and transparency

With "df_brightshadow2", the alpha multiplier of the submodel needs
to be applied even though the object has another kind of transparency
(MF_SHADOW).

IssuelD #1725

Revision d96bbce1 - 2014-04-21 21:10 - skyjake
Fixed|Models|Renderer: df_brightshadow?2 and transparency

With "df_brightshadow2", the alpha multiplier of the submodel needs
to be applied even though the object has another kind of transparency

(MF_SHADOW).
History

#1 - 2014-02-06 06:06 - skyjake
- Tags set to 3DModel
- Category set to Regression

- Priority changed from Normal to High

#2 - 2014-04-21 20:07 - skyjake

- Tags changed from 3DModel to 3DModel, Renderer
- Status changed from New to Closed

- Assignee set to skyjake

- Target version set to 1.14.1

- % Done changed from 0 to 100

The df_brightshadow?2 flag of the mummy ghost was being ignored during rendering of the submodel.
